using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace kvalifikacija2
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] k;
            string[] a = new string[10];
            ulong s = 0;
            k = Console.ReadLine().Split();
            a[0] = k[0] + k[1] + k[2];
            a[1] = k[0] + k[2] + k[1];
            a[2] = k[1] + k[0] + k[2];
            a[3] = k[1] + k[2] + k[0];
            a[4] = k[2] + k[0] + k[1];
            a[5] = k[2] + k[1] + k[0];
            for(int i = 0; i < 6; i ++)
            {
                if (s < Convert.ToUInt64(a[i]))
                    s = Convert.ToUInt64(a[i]);
            }
            Console.WriteLine(s);
            //Console.ReadKey();
        }
    }
}